[i915] Black screen after resume - Dell Latitude e6510

Bug #917330 reported by henk on 2012-01-16
30
This bug affects 5 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

After a resume from suspend, the screen stays black on my Dell E6510.
I've bisected the kernel and the upstream commit that introduced the bug is cd9dde44f47501394b9f0715b6a36a92aa74c0d0.

I've attached a patch to revert this commit.
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 1.91-0ubuntu1
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: hette 1964 F.... pulseaudio
CRDA:
 country GB:
  (2402 - 2482 @ 40), (N/A, 20)
  (5170 - 5250 @ 40), (N/A, 20)
  (5250 - 5330 @ 40), (N/A, 20), DFS
  (5490 - 5710 @ 40), (N/A, 27), DFS
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf6960000 irq 46'
   Mixer name : 'Intel IbexPeak HDMI'
   Components : 'HDA:111d76d5,1028040b,00100104 HDA:80862804,80860101,00100000'
   Controls : 30
   Simple ctrls : 13
DistroRelease: Ubuntu 12.04
HibernationDevice: RESUME=UUID=1210a7b8-2d33-45d5-8eac-cc2b56112610
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha amd64 (20120116)
MachineType: Dell Inc. Latitude E6510
Package: linux (not installed)
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcEnviron:
 LANGUAGE=nl:en
 LANG=nl_NL.UTF-8
 LC_MESSAGES=nl_NL.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-10-generic root=UUID=ad60e184-8a40-4838-8eb6-8393a7bc2ca3 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.2.0-10.17-generic 3.2.1
PulseSinks: Error: command ['pacmd', 'list-sinks'] failed with exit code 1: No PulseAudio daemon running, or not running as session daemon.
PulseSources: Error: command ['pacmd', 'list-sources'] failed with exit code 1: No PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-10-generic N/A
 linux-backports-modules-3.2.0-10-generic N/A
 linux-firmware 1.67
StagingDrivers: mei
Tags: precise staging
Uname: Linux 3.2.0-10-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

dmi.bios.date: 11/20/2010
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A06
dmi.board.name: 02K3Y4
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA06:bd11/20/2010:svnDellInc.:pnLatitudeE6510:pvr0001:rvnDellInc.:rn02K3Y4:rvrA00:cvnDellInc.:ct9:cvr:
dmi.product.name: Latitude E6510
dmi.product.version: 0001
dmi.sys.vendor: Dell Inc.

CVE References

henk (henk1234) wrote :
tags: added: patch
Joseph Salisbury (jsalisbury) wrote :

We would like to collect some additional information about your system. From a terminal, please run the following:

apport-collect 917330

affects: linux-meta (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium
tags: added: kernel-da-key
Joseph Salisbury (jsalisbury) wrote :

Also, what version of Ubuntu is this?

apport information

tags: added: apport-collected precise staging
description: updated

apport information

apport information

henk (henk1234) wrote : BootDmesg.txt

apport information

apport information

apport information

apport information

apport information

henk (henk1234) wrote : IwConfig.txt

apport information

henk (henk1234) wrote : Lspci.txt

apport information

henk (henk1234) wrote : Lsusb.txt

apport information

apport information

apport information

apport information

It is Ubuntu Precise with kernel 3.2.0-10-generic 64 bit.

apport information

henk (henk1234) wrote : RfKill.txt

apport information

henk (henk1234) wrote : UdevDb.txt

apport information

henk (henk1234) wrote : UdevLog.txt

apport information

apport information

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.2.0-10.18
henk (henk1234) on 2012-01-25
Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.2.0-11.19
henk (henk1234) on 2012-01-26
Changed in linux (Ubuntu):
status: Incomplete → Confirmed

I also own a Dell Latitude E6510 and can confirm this issue with Ubuntu 12.04 (x86_64).
I haven't tried with the i386 version.

Please ask if more information about the hardware is needed.

Diego Schulz (dschulzg) wrote :
Diego Schulz (dschulzg) wrote :
Diego Schulz (dschulzg) wrote :

As long as I can recall, suspend to RAM was working just fine with 11.10 (x86_64).

Joseph Salisbury (jsalisbury) wrote :

It looks like this commit was added in bug 899598

I will build a test kernel with this commit reverted. I'll post a link to the kernel shortly.

Joseph Salisbury (jsalisbury) wrote :

Actually, the test kernel will have the patch applied that Henk attached to the bug report.

Joseph Salisbury (jsalisbury) wrote :

I built a x86_64 kernel with the patch applied. The kernel can be downloaded from:
people.canonical.com/~jsalisbury/lp917330

Can you test this kernel and confirm whether or not it resolves your issue?

Diego Schulz (dschulzg) wrote :

@Joseph: tried a few suspend/restore cycles in a row, running the kernel you provided. I can confirm it works. Thanks!

Linux e6510 3.2.0-11-generic #19~lp917330v1 SMP Thu Jan 26 21:17:07 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Diego Schulz (dschulzg) wrote :

@henk, I suspect it was no trivial work to bisect the sources to pin point the specific commit that introduced the bug.
Thanks for the effort!

Joseph Salisbury (jsalisbury) wrote :

Yes indeed, @henk, thanks so much for your hard work!

tags: added: kernel-key
Diego Schulz (dschulzg) wrote :

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.2.0-12.20

@Brad:
No, it doesn't works with the latest kernel

Linux e6510 3.2.0-12-generic #20-Ubuntu SMP Fri Jan 27 23:13:36 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
summary: - Black screen after resume
+ [i915] Black screen after resume - Dell Latitude e6510
Joseph Salisbury (jsalisbury) wrote :

Looks like there may be some patches applied upstream:
https://lkml.org/lkml/2012/1/21/66

Diego Schulz (dschulzg) wrote :

@Joseph that's great news. Do you think these patches from Keith Packard can be backported to a 3.2 kernel tree?

Joseph Salisbury (jsalisbury) wrote :

@Diego,

I just asked that on LKML :-) I'll post any feedback I get.

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

You can update to the latest development kernel by simply running the following commands in a terminal window:

    sudo apt-get update
    sudo apt-get upgrade

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

If you want this bot to quit automatically requesting kernel tests, add a tag named: bot-stop-nagging.

 Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.2.0-12.21
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: bot-stop-nagging
henk (henk1234) wrote :

I can confirm that the upstream patches solve this issue. (tested on kernel 3.3-rc2)

Joseph Salisbury (jsalisbury) wrote :

@henk

Can you confirm if you tested the vanilla 3.3-rc2 mainline kernel, or did you test the 3.3-rc2 kernel with the patches applied?

henk (henk1234) wrote :

I tested the kernel with the patcehs applied. The patches are not yet merged into the mainline kernel 3.3-rc2.

Joseph Salisbury (jsalisbury) wrote :

One additional question. Did you use the patch attached to this bug, or the patches available from:
https://lkml.org/lkml/2012/1/25/204

I have been looking at bug 912387 and it appears the patch to resolve that bug might help resolve the issue you are seeing here. I've already applied the patch for bug 912387 to the Precise master-next branch. I've gone ahead a built a test kernel for Precise master-next for you to confirm if the same patch resolves the issue you see here. Please test and let me know your results. Thanks in advance.

http://people.canonical.com/~ogasawara/lp917330/amd64/

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Diego Schulz (dschulzg) wrote :

@Leann: Yes, it works with your test kernel. This is great news! Thanks!

Thanks for testing and the feedback. I'm going to go ahead and mark this Fix Committed. Thanks!

Changed in linux (Ubuntu):
status: Incomplete → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.2.0-16.25

---------------
linux (3.2.0-16.25) precise; urgency=low

  [ Andy Whitcroft ]

  * d-i -- include the Hyper-V drivers in the virtio udeb
    - LP: #917135

  [ Felix Fietkau ]

  * (pre-stable): ath9k_hw: fix a RTS/CTS timeout regression
    - LP: #925602

  [ Keith Packard ]

  * SAUCE: drm/i915: Force explicit bpp selection for
    intel_dp_link_required
    - LP: #745112, #912387, #917330

  [ Leann Ogasawara ]

  * Fix typo in generic-pae description
    - LP: #928448
  * Rebase to v3.2.6

  [ Upstream Kernel Changes ]

  * procfs: parse mount options
    - CVE-2011-4917
  * procfs: add hidepid= and gid= mount options
    - CVE-2011-4917
  * proc: fix null pointer deref in proc_pid_permission()
    - CVE-2011-4917
  * xhci: Remove warnings about MSI and MSI-X capabilities.
    - LP: #929656
  * xhci: Remove scary warnings about transfer issues.
    - LP: #929656
  * x86, mce, therm_throt: Don't report power limit and package level
    thermal throttle events in mcelog
    - LP: #930288
  * rebase to v3.2.6
    - LP: #924320
    - LP: #918254
 -- Leann Ogasawara <email address hidden> Mon, 13 Feb 2012 13:00:08 -0800

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Tim Gardner (timg-tpi) wrote :

Joe - c898261c0dad617f0f1080bedc02d507a2fcfb92 is in 3.3 and applies cleanly to 3.2.y. Perhaps you could build a test kernel to make sure this solves the issue for Oneiric.

On 02/14/2012 11:25 AM, Tim Gardner wrote:
> Joe - c898261c0dad617f0f1080bedc02d507a2fcfb92 is in 3.3 and applies
> cleanly to 3.2.y. Perhaps you could build a test kernel to make sure
> this solves the issue for Oneiric.
>
I'll do that now. Thanks for sending the SHA1.

Thanks,

Joe

Joseph Salisbury (jsalisbury) wrote :

Building a test kernel now. I'll post a link to the kernel shortly.

Tim Gardner (timg-tpi) wrote :

Ah, never mind. I was confused about which kernel version was affected. Looks like the problem is solved.

To post a comment you must log in.